﻿//googleSelection.jsx   
//DESCRIPTION:Recherchiert den ausgewählten Text in Google   
//Autor: Martin Fischer   
//Datum: Oktober 2010   
   
if (app.selection.length > 0 && app.selection[0].hasOwnProperty ('baseline') && app.selection[0].characters.length > 0)   
{   
   // Hyperlink-String aus Auswahl ermitteln   
   var _sel = app.selection[0];   
   var _str = 'http://www.google.de/search?q=\"' + _sel.contents + '\"&ie=UTF-8&oe=UTF-8';   
   
   // Hyperlink vorbereiten und anlegen   
   try    
   {   
      var _source = app.documents.firstItem().hyperlinkTextSources.add({sourceText: _sel});   
   }   
   catch(e)   
   {   
      alert ('Выбрана активная гиперссылка.');   
      exit();   
   }   
   var _dest = app.documents.firstItem().hyperlinkURLDestinations.add({destinationURL:_str});   
   var _hyper = app.documents.firstItem().hyperlinks.add({destination:_dest, source: _source})   
   
   // Hyperlink anzeigen   
   _hyper.showDestination ();   
   
   // aufräumen   
   _hyper.remove();   
   _dest.remove();   
   _source.remove();   
}