// googleSelection_context.jsx   
//DESCRIPTION:Recherchiert den ausgewählten Text in Google über das Kontextmenü (rechte Maustaste)   
//Autor: Martin Fischer   
//Datum: Oktober 2010  
  
#targetengine "session"    
google_menu();    
   
function google_menu(){    
   var _text_context_menu = app.menus.item("$ID/RtMouseText");    
   
   var g_action = null;   
   g_action = app.scriptMenuActions.item("Искать в Google");    
   if (g_action == null)   
      g_action = app.scriptMenuActions.add("Искать в Google");    
   
   var _event_listener = g_action.eventListeners.add("onInvoke",  google_text, false);    
   var _sep = _text_context_menu.menuSeparators.add();   
   var _google_menu_item = _text_context_menu.menuItems.add(g_action);    
      
   function google_text(myEvent)   
   {    
      if (app.selection[0].characters.length > 0)   
      {   
         // Hyperlink-String aus Auswahl ermitteln   
         var _sel = app.selection[0];   
         var _str = 'http://www.google.de/search?q=\"' + _sel.contents + '\"&ie=UTF-8&oe=UTF-8';   
   
         // Hyperlink vorbereiten und anlegen   
         try    
         {   
            var _source = app.documents.firstItem().hyperlinkTextSources.add({sourceText: _sel});   
         }   
         catch(e)   
         {   
            alert ('Выбрана активная гиперссылка.');   
            exit();   
         }   
         var _dest = app.documents.firstItem().hyperlinkURLDestinations.add({destinationURL:_str});   
         var _hyper = app.documents.firstItem().hyperlinks.add({destination:_dest, source: _source})   
   
         // Hyperlink anzeigen   
         _hyper.showDestination ();   
   
         // aufräumen   
         _hyper.remove();   
         _dest.remove();   
         _source.remove();   
      }   
      else   
      {   
         alert ('Не выделен текст для поиска.');   
      }   
   }   
}  